# -*- po -*-
# English translations for Groonga package.
# Copyright (C) 2009-2025 Groonga Project
# This file is distributed under the same license as the Groonga package.
# Automatically generated, 2025.
#
msgid ""
msgstr ""
"Project-Id-Version: Groonga 15.0.2\n"
"Report-Msgid-Bugs-To: \n"
"PO-Revision-Date: 2025-02-21 09:46+0000\n"
"Last-Translator: Automatically generated\n"
"Language-Team: none\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Language: en\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

msgid "Indexing"
msgstr "Indexing"

msgid "Groonga supports both online index construction and offline index construction since 2.0.0."
msgstr "Groonga supports both online index construction and offline index construction since 2.0.0."

msgid "Online index construction"
msgstr "Online index construction"

msgid "In online index construction, registered documents can be searchable quickly while indexing. But indexing requires more cost rather than indexing by offline index construction."
msgstr "In online index construction, registered documents can be searchable quickly while indexing. But indexing requires more cost rather than indexing by offline index construction."

msgid "Online index construction is suitable for a search system that values freshness. For example, a search system for tweets, news, blog posts and so on will value freshness. Online index construction can make fresh documents searchable and keep searchable while indexing."
msgstr "Online index construction is suitable for a search system that values freshness. For example, a search system for tweets, news, blog posts and so on will value freshness. Online index construction can make fresh documents searchable and keep searchable while indexing."

msgid "Offline index construction"
msgstr "Offline index construction"

msgid "In offline index construction, indexing cost is less than indexing cost by online index construction. Indexing time will be shorter. Index will be smaller. Resources required for indexing will be smaller. But a registering document cannot be searchable until all registered documents are indexed."
msgstr "In offline index construction, indexing cost is less than indexing cost by online index construction. Indexing time will be shorter. Index will be smaller. Resources required for indexing will be smaller. But a registering document cannot be searchable until all registered documents are indexed."

msgid "Offline index construction is suitable for a search system that values less required resources. If a search system doesn't value freshness, offline index construction will be suitable. For example, a reference manual search system doesn't value freshness because a reference manual will be updated only at a release."
msgstr "Offline index construction is suitable for a search system that values less required resources. If a search system doesn't value freshness, offline index construction will be suitable. For example, a reference manual search system doesn't value freshness because a reference manual will be updated only at a release."

msgid "How to use"
msgstr "How to use"

msgid "Groonga uses online index construction by default. We register a document, we can search it quickly."
msgstr "Groonga uses online index construction by default. We register a document, we can search it quickly."

msgid "Groonga uses offline index construction by adding an index to a column that already has data."
msgstr "Groonga uses offline index construction by adding an index to a column that already has data."

msgid "We define a schema:"
msgstr "We define a schema:"

msgid "Execution example::"
msgstr "Execution example::"

msgid "We register data:"
msgstr "We register data:"

msgid "We can search with sequential search when we don't have index:"
msgstr "We can search with sequential search when we don't have index:"

msgid "We create index for ``Tweets.content``. Already registered data in ``Tweets.content`` are indexed by offline index construction:"
msgstr "We create index for ``Tweets.content``. Already registered data in ``Tweets.content`` are indexed by offline index construction:"

msgid "We can create an index in parallel by adding ``--n_workers -1``. For example::"
msgstr "We can create an index in parallel by adding ``--n_workers -1``. For example::"

msgid "We search with index. We get a matched record:"
msgstr "We search with index. We get a matched record:"

msgid "We register data again. They are indexed by online index construction:"
msgstr "We register data again. They are indexed by online index construction:"

msgid "We can also get newly registered records by searching:"
msgstr "We can also get newly registered records by searching:"
